package observer

import (
	"context"

	"git.perx.ru/perxis/perxis-go/pkg/collaborators"
)

// @microgen grpc
// @protobuf git.perx.ru/perxis/perxis/proto/members
// @grpc-addr account.members.Observer
type Observer interface {
	OnCollaboratorSet(ctx context.Context, collaborator *collaborators.Collaborator) (delayedTaskID string, err error)
}
